## pbs 1.1

=== DESCRIPTION ===
Package: pbs
Type: Package
Imports: graphics, stats, splines
Title: Periodic B Splines
Version: 1.1
Date: 2013-03-22
Author: Shuangcai Wang
Maintainer: swang1 <swang1@gmail.com>
Description: Periodic B Splines Basis
License: GPL-2
Packaged: 2013-06-07 19:00:51 UTC; wangs
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-06-08 06:57:39

## pbs python

=== debian/changelog ===
pbs-python (4.6.0-1) UNRELEASED; urgency=low

  * See Changes

 -- Bas van der Vlies <bas.vandervlies@surfsara.nl>  Tue, 10 Mar 2015 12:03:25 +0100

pbs-python (4.4.1-1) unstable; urgency=low

  * See CHANGES

 -- Dennis Stam <dennis.stam@surfsara.nl>  Wed, 04 Jun 2014 14:37:45 +0200

pbs-python (4.4.0-1) unstable; urgency=low

  * See CHANGES

 -- Bas van der Vlies <bas.vandervlies@surfsara.nl>  Fri, 17 Jan 2014 14:13:07 +0100

pbs-python (4.3.7-1) lenny; urgency=low

  * See CHANGESk

 -- Bas van der Vlies <bas.vandervlies@surfsara.nl>  Thu, 19 Sep 2013 14:11:56 +0200

pbs-python (4.3.6-1) lenny; urgency=low

  * See Changes

 -- Dennis Stam <dennis.stam@surfsara.nl>  Thu, 16 May 2013 09:07:03 +0200

pbs-python (4.3.5-1) lenny; urgency=low

  * sara is now surfsara.nl, changed all references
  * added a new code example for EVENT node parsing
  * See Changes

 -- Bas van der Vlies <bas.vandervlies@surfsara.nl>  Mon, 29 Apr 2013 17:21:39 +0200

pbs-python (4.3.4-2) lenny; urgency=low

  * Removed gb- from REGEX new_rack

 -- Dennis Stam <dennis.stam@surfsara.nl>  Tue, 19 Feb 2013 16:54:39 +0100

pbs-python (4.3.4-1) lenny; urgency=low

  * See CHANGES 
  * install pbs_jobmonitor and pbs_joblogin in /usr/bin

 -- Bas van der Vlies <basv@sara.nl>  Fri, 27 Apr 2012 09:54:54 +0200

pbs-python (4.3.3-1) lenny; urgency=low

  * see CHANGES

 -- Bas van der Vlies <basv@sara.nl>  Tue, 03 Jan 2012 12:01:15 +0100

pbs-python (4.3.1-1) lenny; urgency=low

  * see CHANGES 

 -- Bas van der Vlies <bas@sara.nl>  Wed, 24 Aug 2011 14:08:09 +0200

pbs-python (4.3.0-1) lenny; urgency=low

  * See CHANGES

 -- Bas van der Vlies <bas@sara.nl>  Fri, 05 Nov 2010 09:04:29 +0100

pbs-python (4.2.0-2) lenny; urgency=low

  * Update LICENSE file to LGPLV3 
  * patched pbsmon.py for torque 2.5
  * see CHANGES for complete list

 -- Bas van der Vlies <bas@sara.nl>  Thu, 10 Jun 2010 10:27:43 +0200

pbs-python (4.1.2-1) lenny; urgency=low

  * See changes not yes finishedm but some important fixes 

 -- bas van der Vlies <basv@sara.nl>  Thu, 20 May 2010 11:11:21 +0200

pbs-python (4.1.0-1) lenny; urgency=low

  * See CHANGES file 

 -- bas van der Vlies <bas@sara.nl>  Thu, 29 Apr 2010 13:24:24 +0200

pbs-python (4.0.2-1) lenny; urgency=low

  * See CHANGES file

 -- bas van der Vlies <bas@sara.nl>  Fri, 23 Apr 2010 10:27:58 +0200

pbs-python (4.0.1-1) lenny; urgency=low

  * See CHANGES file 

 -- bas van der Vlies <bas@sara.nl>  Wed, 21 Apr 2010 08:26:02 +0200

pbs-python (4.0.0-1) lenny; urgency=low

  * See CHANGES file 

 -- Bas van der Vlies <basv@sara.nl>  Fri, 09 Apr 2010 09:43:24 +0200

pbs-python (3.6.0-1) lenny; urgency=low

  * New generated files pbs_wrap.c and pbs.py fixes an error in pbs_runjob() 

 -- Bas van der Vlies <basv@sara.nl>  Fri, 15 Jan 2010 04:40:35 +0100

pbs-python (3.5.0-1) lenny; urgency=low

  * PBSQuery
        The class functions of node, job and queue support old and new data
        structure.

    Changed the behaviour of the new data stucture, We can use it as 
    dictionary and as class attribute, this is equivalent, eg:
      - print node['np'] and print node.np 

    for a node we parse the 'status' line and split on '=' char, You now can 
    use these statements, eg
     - print node.status.arch     (node['status'].arch or node['status']['arch'])
     - print node.status.nsession

    for a job we parse the 'Variable_List' line and split on '=' char, You now can 
    use the statements, eg:
     - print job.Variable_List.PBS_O_WORKDIR
     - print job.Variable_List.PBS_O_HOME

    for more info see examples/new_interface.py

    Author: Bas van der Vlies

  * new_rack_pbsmon.py
    Rewrite to new data structure and automatically determine how many nodes
    and racks cluster has and skip printing of empty racks (default), use -w/--wide
    for old behaviour.

    Author: Bas van der Vlies

 -- Bas van der Vlies <bas@sara.nl>  Mon, 12 Nov 2009 15:03:16 +0200

pbs-python (3.2.0-1) intrepid; urgency=low

  *  PBSQuery:
     New data structure. In the old structure it is a dictionary
     with a value and the value is a string. This is changed that
     dictionary values are now of type list or dictionary depends
     on the value of keyword, eg for a node:
       - np = 2:
       - node['np'] = [ '2' ]
       - properties = cores2, mem4gb, parallel
       - node['properties'] = [ 'cores2', 'mem4gb', 'parallel' ]
       - status = arch=x86_64,sessions=22599,,size=70627864kb, ...
       - node['status']['arch'] = [ 'x86_64' ]
       - node['status']['sessions'] = [ '222599' ]
       - ...

         The data structure is activated by the function:
          - new_data_structure()

         In a future release it will be come the default.
         example:
         p = PBSQuery()
         p.new_data_structure() 

        nodes = p.getnodes()
        print nodes.np, nodes['np']

         Author: Bas van der Vlies

  *  PBSQuery:
  	For old and new data structure we now can use another syntax:
     - node['np'] and node.np are equivalent

        This new syntax works for all keywords.
        Author: Bas van der Vlies

  *  PBSQuery:
  	Added iter object for job, node, queue and server objects, eg:
        node = p.getnode('gb-r1n1')
        print node.name
        for attrib in node:
           print '%\t%s = %s' %(attrib, node[attrib])
        Author: Bas van der Vlies

  *  PBSQuery:
        fixed an error in getnode, getqueue and getjob, return
        empty dictionary if not found.
        Author: Bas van der Vlies

  *  PBSQuery:
        New build system for rpm packages, make -f Makefile.rpm
        Author: Michel Jouvin <jouvin add lal dot in2p3 dot fr>
        Applied: Bas van der Vlies

 -- Bas van der Vlies <bas@rc.sara.nl>  Thu, 14 May 2009 13:41:00 +0200

pbs-python (3.0.1-2) intrepid; urgency=low

  * adjust number of nodes to 32 

 -- root <root@rc.sara.nl>  Tue, 17 Mar 2009 18:17:18 +0100

pbs-python (3.0.1-1) intrepid; urgency=low

  * Small bug fix



=== debian/control ===
Source: pbs-python
Section: misc
Priority: optional
Maintainer: Bas van der Vlies <basv@sara.nl>
Build-Depends: debhelper (>> 4.0.0), cdbs, chrpath, python, torque
Standards-Version: 3.5.8

Package: pbs-python
Section: misc
Architecture: any
Depends: libtorque2, ${python:Depends}, ${python:Provides}, python-argparse | python (>= 2.7)
Description: python API for the Torque library
 PBS_PYTHON interface is a wrapper class for the OPENPBS/TORQUE C LIB API.
 Now you can write utilities/extensions in Python instead of C.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_PYTHON_SETUP_CMD := setup.py
DEB_PYTHON_COMPRESS_EXCLUDE := .pyc
DEB_STRIP_EXCLUDE := .pyc

dh_configure::
	./configure

binary-post-install/pbs-python::
	mkdir -p debian/pbs-python/usr/bin
	install -D examples/new_rack_pbsmon.py debian/pbs-python/usr/bin/pbsmon
	install -D examples/sara_nodes.py debian/pbs-python/usr/bin/sara_nodes
	install -D examples/pbs_jobmonitor debian/pbs-python/usr/bin/pbs_jobmonitor
	( cd debian/pbs-python/usr/bin; ln -s pbs_jobmonitor pbs_joblogin )
